Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.ssl
Class TdsTlsSocket

    java.lang.Object
      |
      +--java.net.Socket
            |
            +--net.sourceforge.jtds.ssl.TdsTlsSocket

class TdsTlsSocket
extends java.net.Socket

A socket that mediates between JSSE and the DB server.

Version:
  $Id: TdsTlsSocket.java,v 1.3 2005/04/28 14:29:31 alin_sinpalean Exp $
Author:
  Rob Worsnop, Mike Hutchinson

Field Summary
`private java.net.Socket` | `delegate`
`private java.io.InputStream` | `istm`
`private java.io.OutputStream` | `ostm`

Fields inherited from class java.net.Socket
`factory, impl`

Constructor Summary
`(package private)` | `TdsTlsSocket(java.net.Socket delegate)` Constructs a TdsTlsSocket around an underlying socket.

Method Summary
`void` | `close()`
`java.io.InputStream` | `getInputStream()`
`java.io.OutputStream` | `getOutputStream()`
`boolean` | `isConnected()`
`void` | `setSoTimeout(int timeout)`
`void` | `setTcpNoDelay(boolean on)`

Methods inherited from class java.net.Socket
`getInetAddress, getKeepAlive, getLocalAddress, getLocalPort, getPort, getReceiveBufferSize, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, setKeepAlive, setReceiveBufferSize, setSendBufferSize, setSocketImplFactory, setSoLinger, shutdownInput, shutdownOutput, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### delegate

    private final java.net.Socket delegate

### istm

    private final java.io.InputStream istm

### ostm

    private final java.io.OutputStream ostm

Constructor Detail

### TdsTlsSocket

    TdsTlsSocket(java.net.Socket delegate)
           throws java.io.IOException

  Constructs a TdsTlsSocket around an underlying socket.
  Parameters:
    `delegate` - the underlying socket

Method Detail

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.net.Socket`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Overrides:
    `getInputStream` in class `java.net.Socket`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Overrides:
    `getOutputStream` in class `java.net.Socket`

### isConnected

    public boolean isConnected()

### setSoTimeout

    public void setSoTimeout(int timeout)
                      throws java.net.SocketException

  Overrides:
    `setSoTimeout` in class `java.net.Socket`

### setTcpNoDelay

    public void setTcpNoDelay(boolean on)
                       throws java.net.SocketException

  Overrides:
    `setTcpNoDelay` in class `java.net.Socket`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on November 8 2005